### Signal

# Adw Sidebar::drop

#### Declaration

    gboolean
    drop (
      AdwSidebar* self,
      guint index,
      const GValue* value,
      GdkDragAction preferred_action,
      gpointer user_data
    )

#### Description [src]

Emitted when content is dropped onto the item at `index`.

The content must be of one of the types set up via `adw_sidebar_setup_drop_target()`.

See `GtkDropTarget::drop`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`index`

  Type: `guint`

  Index of the item the content was dropped onto.

`value`

  Type: `GValue`

  The `GValue` being dropped.

  The data is owned by the caller of the function.

`preferred_action`

  Type: `GdkDragAction`

  The preferred drop action.

#### Return value

Type: `gboolean`

Whether the drop was accepted

SinceL 1.9.